'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _fogSystemAccessToken = require('./../models/fogSystemAccessToken');

var _fogSystemAccessToken2 = _interopRequireDefault(_fogSystemAccessToken);

var _baseManager = require('./../managers/baseManager');

var _baseManager2 = _interopRequireDefault(_baseManager);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @file fogSystemAccessTokenManager.js
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @author Zishan Iqbal
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @description This file includes the CURD operations for the fogSystemAccessToken Model.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */

var FogSystemAccessTokenManager = function (_BaseManager) {
  _inherits(FogSystemAccessTokenManager, _BaseManager);

  function FogSystemAccessTokenManager() {
    _classCallCheck(this, FogSystemAccessTokenManager);

    return _possibleConstructorReturn(this, (FogSystemAccessTokenManager.__proto__ || Object.getPrototypeOf(FogSystemAccessTokenManager)).apply(this, arguments));
  }

  _createClass(FogSystemAccessTokenManager, [{
    key: 'getEntity',
    value: function getEntity() {
      return _fogSystemAccessToken2.default;
    }
  }]);

  return FogSystemAccessTokenManager;
}(_baseManager2.default);

var instance = new FogSystemAccessTokenManager();
exports.default = instance;