'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _baseManager = require('./../managers/baseManager');

var _baseManager2 = _interopRequireDefault(_baseManager);

var _registry = require('./../models/registry');

var _registry2 = _interopRequireDefault(_registry);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @file registryManager.js
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @author Zishan Iqbal
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @description This file includes the CURD operations for the registry Model.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */

var RegistryManager = function (_BaseManager) {
    _inherits(RegistryManager, _BaseManager);

    function RegistryManager() {
        _classCallCheck(this, RegistryManager);

        return _possibleConstructorReturn(this, (RegistryManager.__proto__ || Object.getPrototypeOf(RegistryManager)).apply(this, arguments));
    }

    _createClass(RegistryManager, [{
        key: 'create',
        value: function create(obj) {
            return _registry2.default.create(obj);
        }
    }, {
        key: 'findByUserId',
        value: function findByUserId(userId) {
            return _registry2.default.findAll({
                where: {
                    $or: [{
                        user_id: userId
                    }, {
                        user_id: null
                    }]
                }
            });
        }
    }]);

    return RegistryManager;
}(_baseManager2.default);

var instance = new RegistryManager();
exports.default = instance;