"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _appUtils = require("../utils/appUtils");

var _appUtils2 = _interopRequireDefault(_appUtils);

var _elementInstanceStatusManager = require("../managers/elementInstanceStatusManager");

var _elementInstanceStatusManager2 = _interopRequireDefault(_elementInstanceStatusManager);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @author elukashick
 */

var upsertStatus = function upsertStatus(statusObj, params, callback) {
    var obj = {
        status: statusObj.status,
        cpuUsage: statusObj.cpuusage,
        memoryUsage: statusObj.memoryusage,
        containerId: statusObj.containerId,
        uuid: statusObj.id
    };

    _elementInstanceStatusManager2.default.upsertStatus(obj).then(_appUtils2.default.onUpdateOrCreate.bind(null, params, '', 'Unable to create or update Element Instance Status', callback));
};

exports.default = {
    upsertStatus: upsertStatus
};