'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _instanceTrackManager = require('../managers/instanceTrackManager');

var _instanceTrackManager2 = _interopRequireDefault(_instanceTrackManager);

var _appUtils = require('../utils/appUtils');

var _appUtils2 = _interopRequireDefault(_appUtils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getInstanceTrackByInstanceId = function getInstanceTrackByInstanceId(props, params, callback) {
  var instanceId = _appUtils2.default.getProperty(params, props.instanceId);

  _instanceTrackManager2.default.findInstanceContainer(instanceId).then(_appUtils2.default.onFind.bind(null, params, props.setProperty, 'Cannot find Instance Track', callback));
};

exports.default = {
  getInstanceTrackByInstanceId: getInstanceTrackByInstanceId
};