'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});


var getGpsCoordinates = function getGpsCoordinates(coordinatesString) {
    var gpsLatLon = {
        lat: '',
        lon: ''
    };

    if (coordinatesString && coordinatesString !== '') {
        var latLonArr = coordinatesString.split(',');
        gpsLatLon.lat = latLonArr[0];
        gpsLatLon.lon = latLonArr[1];
    }

    return gpsLatLon;
};

exports.default = {
    getGpsCoordinates: getGpsCoordinates
};