'use strict';

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var packageJson = require('../../package.json');

var _require = require('./Help'),
    Help = _require.Help;

var Version = function Version() {
    _classCallCheck(this, Version);
};

Version.display = function (args) {
    if (args[1]) {
        Help.displayExtraArgumentHelp(args[1]);
    } else {
        console.log('Version: ' + packageJson.version);
        console.log('License: ' + packageJson.license);
    }
};

exports.Version = Version;