'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _elementAdvertisedPort = require('./../models/elementAdvertisedPort');

var _elementAdvertisedPort2 = _interopRequireDefault(_elementAdvertisedPort);

var _baseManager = require('./baseManager');

var _baseManager2 = _interopRequireDefault(_baseManager);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @file elementAdvertisedPortManager.js
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @author Zishan Iqbal
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @description This file includes the CURD operations for the element Model.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */

var ElementAdvertisedPortManager = function (_BaseManager) {
  _inherits(ElementAdvertisedPortManager, _BaseManager);

  function ElementAdvertisedPortManager() {
    _classCallCheck(this, ElementAdvertisedPortManager);

    return _possibleConstructorReturn(this, (ElementAdvertisedPortManager.__proto__ || Object.getPrototypeOf(ElementAdvertisedPortManager)).apply(this, arguments));
  }

  _createClass(ElementAdvertisedPortManager, [{
    key: 'getEntity',
    value: function getEntity() {
      return _elementAdvertisedPort2.default;
    }
  }, {
    key: 'findElementAdvertisedPortByElementIds',
    value: function findElementAdvertisedPortByElementIds(elementIds) {
      return _elementAdvertisedPort2.default.findAll({
        where: {
          element_id: {
            $in: elementIds
          }
        }
      });
    }
  }]);

  return ElementAdvertisedPortManager;
}(_baseManager2.default);

var instance = new ElementAdvertisedPortManager();
exports.default = instance;