'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _fogType = require('./../models/fogType');

var _fogType2 = _interopRequireDefault(_fogType);

var _baseManager = require('./../managers/baseManager');

var _baseManager2 = _interopRequireDefault(_baseManager);

var _sequelize = require('./../utils/sequelize');

var _sequelize2 = _interopRequireDefault(_sequelize);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /**
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @file fogTypeManager.js
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @author Zishan Iqbal
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * @description This file includes the CURD operations for the fogType Model.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */

var FogTypeManager = function (_BaseManager) {
  _inherits(FogTypeManager, _BaseManager);

  function FogTypeManager() {
    _classCallCheck(this, FogTypeManager);

    return _possibleConstructorReturn(this, (FogTypeManager.__proto__ || Object.getPrototypeOf(FogTypeManager)).apply(this, arguments));
  }

  _createClass(FogTypeManager, [{
    key: 'getEntity',
    value: function getEntity() {
      return _fogType2.default;
    }
  }, {
    key: 'getFogTypes',
    value: function getFogTypes() {
      var fogTypeQuery = "SELECT * from iofog_type";
      return _sequelize2.default.query(fogTypeQuery, { type: _sequelize2.default.QueryTypes.SELECT });
    }
  }, {
    key: 'findFogTypeById',
    value: function findFogTypeById(id) {
      return _fogType2.default.findOne({
        where: {
          ID: id
        }
      });
    }
  }]);

  return FogTypeManager;
}(_baseManager2.default);

var instance = new FogTypeManager();
exports.default = instance;