'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _elementAdvertisedPortManager = require('../managers/elementAdvertisedPortManager');

var _elementAdvertisedPortManager2 = _interopRequireDefault(_elementAdvertisedPortManager);

var _appUtils = require('../utils/appUtils');

var _appUtils2 = _interopRequireDefault(_appUtils);

var _underscore = require('underscore');

var _underscore2 = _interopRequireDefault(_underscore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var findElementAdvertisedPortByElementIds = function findElementAdvertisedPortByElementIds(props, params, callback) {
  var elementInstanceData = _appUtils2.default.getProperty(params, props.elementInstanceData);

  _elementAdvertisedPortManager2.default.findElementAdvertisedPortByElementIds(_underscore2.default.pluck(elementInstanceData, props.field)).then(_appUtils2.default.onFind.bind(null, params, props.setProperty, 'Element Advertised Port Not found', callback));
};

exports.default = {
  findElementAdvertisedPortByElementIds: findElementAdvertisedPortByElementIds
};