'use strict';

Object.defineProperty(exports, "__esModule", {
      value: true
});

var _fogControllerConfigManager = require('../managers/fogControllerConfigManager');

var _fogControllerConfigManager2 = _interopRequireDefault(_fogControllerConfigManager);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var configList = function configList() {
      _fogControllerConfigManager2.default.list().then(function (config) {
            if (config && config.length > 0) {
                  console.log('\nFollowing is the configuration information:');
                  for (var i = 0; i < config.length; i++) {
                        console.log(config[i].key + ' | ' + config[i].value);
                  }
            } else {
                  console.log('\nNo Configuration Data Found.');
            }
      });
};
exports.default = {
      configList: configList
};